library(tidyverse)
text <- read_file("C:/Users/000110888/Desktop/OneginAll.txt")

#text cleaning
#gsub() = global substitution function=replaces all instances
lowercase<- tolower(text)
no.blanks<- gsub(" ","",lowercase)
no.line.breaks<- gsub("\r\n", "", no.blanks)
no.punctuation<- gsub("[[:punct:]]","",no.line.breaks)
no.soft.signs<- gsub("ь", "", no.punctuation)
clean.string<- gsub("ъ","", no.soft.signs) #removes all hard signs

#splitting single string into characters
x2<- strsplit(clean.string, "")

#shifting string by one position
no.last<- substr(clean.string, 1, nchar(clean.string)-1)
first.blank<- str_c(" ", no.last)
x1<- strsplit(first.blank,"")

#Note: In pre-1918 Russian language "й" was considered a vowel
vowels<-c("а","е","ё","и","і","й","о","у","ы","ѣ","э","ю","я")
consonants<- c("б","в","г","д","ж","з","к","л","м","н","п","р",
"с","т","ф","х","ц","ч","ш","щ","ѳ")

#computing number of vowels, consonants, and four combinations
for (counter in 1:nchar(x2)){
v<- ifelse(x2[[counter]] %in% vowels,1,0)
c<- ifelse(x2[[counter]] %in% consonants,1,0)
vv<- ifelse(x1[[counter]] %in% vowels & x2[[counter]] %in% vowels,1,0)
vc<- ifelse(x1[[counter]] %in% vowels & x2[[counter]] %in% consonants,1,0)
cv<- ifelse(x1[[counter]] %in% consonants & x2[[counter]] %in% vowels,1,0)
cc<- ifelse(x1[[counter]] %in% consonants & x2[[counter]] %in% consonants,1,0)
}

sum(v)
sum(c)
sum(vv)
sum(vc)
sum(cv)
sum(cc)
