#specifying the transition probability matrix
tm<- matrix(c(1, 0, 0, 0.5, 0.5, 0, 0, 1, 0), nrow=3, 
ncol=3, byrow=TRUE)

#transposing the transition probability matrix
tm.tr<- t(tm)

#plotting the diagram for the Markov chain
library(diagram)
plotmat(tm.tr, pos=c(1,2), name=c("AA", "Aa", "aa"), arr.length=0.3, arr.width=0.1, 
box.col="light blue", box.lwd=1, box.prop=0.5, box.size=0.12,
box.type="circle", cex.txt=0.8, lwd=1, self.cex=0.6, 
self.shiftx=0.17, self.shifty=-0.01)

#creating Markov chain object
library(markovchain)
mc<- new("markovchain", transitionMatrix=tm, 
states=c("AA", "Aa", "aa"))

#computing Markov chain characteristics
steadyStates(mc)

#computing the unconditional distribution after n steps
gen1<- c(0.99, 0, 0.01)
gen<- gen1%*%tm
for (n in 2:50) { 
  print(n)
  print(round(gen, digits=10))
  gen<- gen%*%tm
}
