#specifying parameters
njumps<- 20

#defining states 
N<- 0:njumps

#defining times as vectors
time<- c()

#specifying seed
set.seed(76855)

#generating standard uniforms
u<- c()
for(i in 1:njumps)
u[i]<- runif(1)

#computing event times
time[1]<- 0
time[2]<- sqrt(100-20*log(u[1]))-10

for(i in 3:(njumps+1)) {
time[i]<- sqrt((time[i-1]+10)^2-20*log(u[i-1]))-10
}

#plotting trajectory
plot(time, N, type="n", xlab="Time", ylab="State", panel.first = grid())

segments(time[-length(time)],N[-length(time)], time[-1]-0.07, 
N[-length(time)], lwd=2, col="blue")

points(time, N, pch=20, col="blue")
points(time[-1],N[-length(time)], pch=1, col="blue")

