#specifying parameters
t<- 10
Lambda<- t+0.05*t^2

#specifying seed
set.seed(997755)

#generating N(t)
njumps<- rpois(1,Lambda)

#defining states
N<- 0:njumps

#generating N(t) standard uniforms
u<- c()
u[1]<- 0

for(i in 2:(njumps+1))
  u[i]<- runif(1)

#computing event times
time<- 10*sqrt(1+3*sort(u))-10

#plotting trajectory
plot(time, N, type="n", xlab="Time", ylab="State", panel.first=grid())

segments(time[-length(time)], N[-length(time)], time[-1]-0.07, 
N[-length(time)], lwd=2, col="blue")

points(time, N, pch=20, col="blue")
points(time[-1], N[-length(time)], pch=1, col="blue")