#specifying parameters
t<- 20
lambda<- 0.75

#specifying seed
set.seed(41130)

#generating number of arrivals
narrivals<- rpois(1,lambda*t)

#defining vectors
gain<- c()
time<- c()
u<- c()

#setting initial values
gain[1]<- 0
u[1]<- 0

#generating standard uniforms and gain
for(i in 2:(narrivals+1)) {
  u[i]<- runif(1)
  gain[i]<- gain[i-1] + runif(1,0, 1500)
}

#computing event times
time<- t*sort(u)

#plotting trajectory
plot(time, gain, type="n", ylim=c(0,13000), xlab="Time (min)", ylab="Casino gain ($)",  
panel.first = grid())

segments(time[-length(time)], gain[-length(time)], time[-1]-0.15, 
gain[-length(time)], lwd=2, col="blue")

points(time, gain, pch=20, col="blue")
points(time[-1], gain[-length(time)], pch=1, col="blue")

narrivals
gain[length(gain)]