data<- read.csv(file="C:/Users/000110888/Desktop/stock_bonds.csv", 
header=TRUE, sep=",")

time<- as.Date(data$date)
IBM<- data$stock_price
bond<- data$bond_yield*100

#plotting the trajectories
plot(time, IBM, type="l", lty=1, lwd=2, col="blue", ylim=c(0,200),
xlab="Time", ylab="Stock prices / Bond yield", first.panel=grid() )
lines(as.Date(time), bond, lwd=2, col="orange")
legend("bottomright", c("IBM stock", "10-year bond"), lty=1, lwd=3, 
col=c("blue", "orange"))


#computing increments
IBM.diff<- IBM[-1]-head(IBM,-1)
bond.diff<- bond[-1]-head(bond,-1)

#estimating correlation coefficient
cor(IBM.diff, bond.diff)
