#specifying parameters
mu<- 1.3
sigma<- 0.5

#defining Brownian motion as matrix
BM<- matrix(NA, nrow=500, ncol=3)

#specifying seed
set.seed(8463338)

#simulating  trajectories of Brownian motion 
for (j in 1:3) {
  BM[1,j]<- 0
  
  for (i in 2:500) 
    BM[i,j]<- mu*0.01+BM[i-1,j] + sigma*sqrt(0.01)*rnorm(1)
}

#computing trajectories of geometric Brownian motion
GBM0<- 2
GBM<- GBM0*exp(BM)

#plotting trajectories
matplot(GBM, type="l", lty=1, lwd=2, col=2:4, ylim=c(range(GBM)), xlab="Time", 
ylab="Geometric Brownian motion", panel.first=grid())


